package Logoved::DB::Rule::Type;

#use Moo;
use strict;
use warnings;
use Exporter;
use parent 'Exporter';
our @EXPORT_OK=qw/@errors_by_priority @fallbacks_by_priority @types_by_priority &is_fallback &is_type/;

our @errors_by_priority=qw/error3 error2 error/;
our @fallbacks_by_priority=qw/fallback fallback2 fallback3/;
our @types_by_priority=(@errors_by_priority, @fallbacks_by_priority, 'warning');

my %type=map {$_=>1} @types_by_priority;

# static
sub is_fallback {
    return substr($_[0],0,8) eq 'fallback';
    #grep { $_[0] eq $_} @fallbacks_by_priority;
}

sub is_error {
    return substr($_[0],0,5) eq 'error';
    #grep { $_[0] eq $_} @errors_by_priority;
}

sub is_type {
    return $type{$_[0]};
}

1;
